import React, { useState, useEffect } from 'react';
import Zmage from 'react-zmage';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, DatePicker, Radio } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import XForm, { FieldTypes } from '../../../../components/XForm';
import router from 'umi/router';
import moment from 'moment';
import styles from '../../../style/GoodsList.less';
import SelectCity from '../../../../components/SelectButton/CitySelect'
import BuildSelect2 from '../../../../components/SelectButton/BuildSelect2'
import CitySelect from '../../../../components/SelectButton/CitySelect'
import ImageUpload from '../../../../components/XForm/ImageUpload'
import Wangedit from '../../../../components/Wangedit/Wangedit'
import apis from '../../../../services/apis';
import request from '../../../../utils/request';
import AuthButton from '@/components/AuthButton';

const { Option } = Select;
const { MonthPicker, RangePicker, WeekPicker } = DatePicker;




const header = props => {
  const { salesBatchId } = props.location.query
  console.log(salesBatchId)
  const [ saleBatchData, setSaleBatchData ] = useState({})
  const [showHelp, setShowHelp] = useState(false)

  const [typeState, setTypeState] = useState("rich")

  // if(salesBatchId){
  //   useEffect(() => {
  //     getSaleBatchData(salesBatchId);
  //   },[])

  // // 查询列表
  // const getSaleBatchData = (salesBatchId) => {
  //     request({ ...apis.system.taPolicy, urlData: {id: salesBatchId} }).then((data) => {
  //         console.log(data)
  //         setSaleBatchData(data)
  //     })
  //   }
  // }

  const cancelPage = () =>{
    router.push({
      pathname: '/activity/liveActivity/list',
    });
  }

  function highlightsTypeChange(e) {
    console.log(e.target.value,"ee")
    setTypeState(e.target.value)
  }

  function handleSubmit (e) {
    e.preventDefault();
    props.form.validateFields((err, values) => {
      if (!err){
        let {liviTime, ...submitValue} = values
        if(null != liviTime && liviTime.length > 0){
          const [liveStartTime, livenEndTime] = liviTime
          submitValue.liveStartTime = moment(liveStartTime).format('YYYY-MM-DD HH:mm:ss');
          submitValue.livenEndTime = moment(livenEndTime).format('YYYY-MM-DD HH:mm:ss');
        }else{
          submitValue.liveStartTime = null
          submitValue.livenEndTime = null
        }        
        // getList({ pageNum: pageNumber, pageSize: 10, ...submitValue })
        console.log(submitValue)
        request({ ...apis.house.addTaSalesBatch, data: { ...submitValue },}).then((data) => {
          message.info("保存成功,请上传房源")
          console.log(data,"datattttttt")
          router.push({
            pathname: '/house/batch',
            query: {
              salesBatchId: data.salesBatchId,
              buildingId: data.buildingId,
            },
          });
        }).catch((err) => {
          message.info(err.msg || err.message)
        })
      }
    });
  }

  const { getFieldDecorator } = props.form;

  return (
    <>
      <Form labelCol={{ span: 7 }} wrapperCol={{ span: 12 }} onSubmit={handleSubmit}>
        <Form.Item label="所属城市">
          {getFieldDecorator('cityId', {
            rules: [{ required: true, message: ' 请输入所属城市' }],
          })(<CitySelect />)}
        </Form.Item>
        <Form.Item label="所属楼盘">
          {getFieldDecorator('buildingId', {
            rules: [{ required: true, message: ' 请输入所属楼盘' }],
          })(<BuildSelect2 value={getFieldDecorator('cityId')}/>)}
        </Form.Item>
        <Form.Item label="直播活动标题">
          {getFieldDecorator('liveActivityTitle', {
            rules: [{ required: true, message: '请输入直播活动标题' }],
          })(<Input maxLength={20} placeholder="给直播活动起个名字" />)}
        </Form.Item>
        <Form.Item label="直播时间">
            {getFieldDecorator('liveTime', {
              rules: [
                {
                  required: true,
                  message: '请选择直播时间',
                },
              ],
            })(<RangePicker style={{ width: '500px' }}format="YYYY-MM-DD HH:mm:ss" showTime={{ format: 'HH:mm:ss' }}/>)}
        </Form.Item>
        <Form.Item label="直播小程序">
          {getFieldDecorator('liveApp', {
              rules: [{ required: true, message: '请选择直播小程序' }],
            })(<Select placeholder="选择在哪个平台直播" style={{ width: '300px' }}>
            <Option value="1">腾讯NOW直播(推荐)</Option>
            <Option value="2">斗鱼直播</Option>
            <Option value="3">虎牙直播</Option>
            <Option value="4">映客直播</Option>
            <Option value="5">一直播</Option>
          </Select>)}
        </Form.Item>
        <Form.Item label="房间参数">
          {getFieldDecorator('liveRoomParam', {
            rules: [{ required: true, message: '请输入房间参数' }],
          })(<Input maxLength={20} placeholder="请下载文档查看如何获取" />)}<a href="http://njcj.oss-cn-shanghai.aliyuncs.com/%E7%9B%B4%E6%92%AD%E6%88%BF%E9%97%B4%E5%8F%B7%E8%8E%B7%E5%8F%96%E6%95%99%E7%A8%8B(1).docx" style={{ color: 'blue' }}> 不知道怎么填？查看说明</a>
        </Form.Item>
        <Form.Item label="封面图1" help="建议尺寸：750px*420px，比例16:9，格式：jpg，用于：活动列表">
              {getFieldDecorator('listImg', {
                  rules: [{ required: true, message: '请上传封面图1' }],
              })(
                <ImageUpload />,
              )}
        </Form.Item>  
        <Form.Item label="封面图2" help="建议尺寸：750*250，比例3:1，格式：jpg，用于：项目详情页">
              {getFieldDecorator('detailImg', {
                  rules: [{ required: true, message: '请上传封面图2' }],
              })(
                <ImageUpload />,
              )}
        </Form.Item>  
        <Form.Item label="封面图2" help="建议尺寸：750*250，比例3:1，格式：jpg，用于：项目详情页">
              {getFieldDecorator('detailImg', {
                  rules: [{ required: true, message: '请上传封面图2' }],
              })(
                <ImageUpload />,
              )}<Zmage src="http://njcj.oss-cn-shanghai.aliyuncs.com/1561458980339-%E6%9C%AA%E7%9F%A5%E6%96%87%E4%BB%B6.jpg"/><span>查看详情图实例</span>
        </Form.Item>  
        <Form.Item label="详情类型">
            {getFieldDecorator('liveDetailType',{
              initialValue: "rich",
            })(
            <Radio.Group onChange={e => highlightsTypeChange(e)}>
              <Radio value="0">系统模板</Radio>
              <Radio value="1">自定义</Radio>
            </Radio.Group>,
            )}
          </Form.Item>
          {typeState === '0' && <Form.Item label="系统模板" help="可参考系统模板图">
              {getFieldDecorator('detailTypeImg', {
                  rules: [{ required: true, message: '请上传封面图1' }],
              })(
                <ImageUpload />,
              )}
          </Form.Item>}
          {typeState === '1' && <Form.Item label="自定义图" help="自定义上传图片">
              {getFieldDecorator('detailTypeImg', {
                  rules: [{ required: true, message: '请上传封面图1' }],
              })(
                <ImageUpload />,
              )}
          </Form.Item>}       
        <Form.Item label="发布状态">
          {getFieldDecorator('status', {
              rules: [{ required: true, message: '请选择发布状态' }],
            })(<Select placeholder="发布状态" style={{ width: '300px' }}>
            <Option value="0">否</Option>
            <Option value="1">是</Option>
          </Select>)}
        </Form.Item>
        <Form.Item wrapperCol={{ span: 15, offset: 7 }}>
          <Button type="primary" htmlType="submit"style={{marginRight:'20px'}}>
            确定
          </Button>
          <Button onClick={() => router.go(-1)}>
            取消
          </Button>
        </Form.Item>
      </Form>
    </>
  )
}

const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
